> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Identifier



## OpenAPI

````yaml firework-v2-openapi post /firework/v2/assets/
openapi: 3.0.1
info:
  description: >

    Manage and access Firework resources.


    ### Steps to use the Api


    1. `Send` a POST request to `https://api.flare.systems/tokens/generate` with
    your **Firework** credentials using [Basic
    Auth](https://en.wikipedia.org/wiki/Basic_access_authentication) to get a
    authentication token.

    ---

    2. On the current page, click on the **Authorize** button and insert the
    token using the following format: `Bearer {token}`

       Example value: `Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.e30.Et9HFtf9R3GEMA0IICOfFMVXY7kkTX1wr4qCyhIf58U`
    ---

    3. You should now be able to use SwaggerUI's built-in tools to query the
    documented endpoints.
  title: Firework API
  version: v2
servers:
  - url: https://api.flare.io/
security:
  - BearerAuth: []
tags:
  - description: Searches the threat activity database.
    name: search
  - description: Manage a user's or organization's identifiers
    name: Identifiers
  - description: Perform actions on activities.
    name: activities
  - description: Perform actions on the current user.
    name: me
  - description: Manage tenants.
    name: tenants
  - description: Admin management of organizations.
    name: organizations
  - description: Manage reporting as an admin.
    name: reporting
paths:
  /firework/v2/assets/:
    post:
      tags:
        - Identifiers
      operationId: post_assets_/assets/
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IdentifierCreate'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/post_assets__assets__200_response'
          description: Success
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
          description: Query is invalid.
components:
  schemas:
    IdentifierCreate:
      properties:
        name:
          minLength: 1
          type: string
        type:
          enum:
            - domain
            - name
            - keyword
            - github_repository
            - username
            - email
            - search_query
            - bin
            - ip
            - secret
            - azure_tenant
            - identity
          example: domain
          type: string
        search_types:
          items:
            enum:
              - forum_post
              - bucket
              - source_code_files
              - ransomleak
              - financial_data
              - bot
              - source_code_secrets
              - domain
              - ad
              - stack_exchange
              - chat_message
              - leak
              - google
              - bucket_object
              - docker
              - seller
              - forum_profile
              - service
              - blog_post
              - stealer_log
              - forum_topic
              - listing
              - paste
              - social_media_account
              - illicit_networks
              - open_web
              - buckets
              - source_code
              - leaks
              - domains
              - forum_content
              - blog_content
              - profile
              - ads
              - infected_devices
              - social_media
            example: forum_post
            type: string
          type: array
        experimental_search_types:
          items:
            type: string
          type: array
        risks:
          items:
            type: integer
          type: array
        data:
          properties: {}
          type: object
      required:
        - data
        - name
        - search_types
        - type
      type: object
    post_assets__assets__200_response:
      properties:
        asset:
          $ref: '#/components/schemas/Identifier'
      type: object
    HttpError:
      properties:
        message:
          type: string
        code:
          type: string
      type: object
    Identifier:
      properties:
        id:
          type: integer
        tenant_id:
          type: integer
        feed_id:
          type: integer
        type:
          enum:
            - domain
            - name
            - keyword
            - github_repository
            - username
            - email
            - search_query
            - bin
            - ip
            - secret
            - azure_tenant
            - identity
          example: domain
          type: string
        search_types:
          items:
            enum:
              - forum_post
              - bucket
              - source_code_files
              - ransomleak
              - financial_data
              - bot
              - source_code_secrets
              - domain
              - stack_exchange
              - chat_message
              - leak
              - google
              - bucket_object
              - docker
              - seller
              - forum_profile
              - service
              - blog_post
              - stealer_log
              - forum_topic
              - listing
              - paste
              - social_media_account
              - illicit_networks
              - open_web
              - buckets
              - source_code
              - leaks
              - domains
              - forum_content
              - blog_content
              - profile
              - infected_devices
              - social_media
            example: forum_post
            type: string
          type: array
        experimental_search_types:
          items:
            type: string
          type: array
        v3_refs:
          $ref: '#/components/schemas/V3_Refs'
        risks:
          items:
            type: integer
          type: array
        name:
          minLength: 1
          type: string
        data:
          properties: {}
          type: object
        fetching_progress:
          type: integer
        count:
          type: integer
        urn:
          description: The uniform resource name of the identifier.
          type: string
        is_disabled:
          type: boolean
        source:
          enum:
            - USER
            - SYSTEM_RELATION
            - SELF_ONBOARDING
            - ATTRIBUTE
            - IDP_SYNC
          example: USER
          type: string
        data_updated_at:
          format: date-time
          type: string
      required:
        - data
        - name
        - search_types
        - type
      type: object
    V3_Refs:
      properties:
        asset_uuid:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````